Web Analytics Content Autopilot

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
DELETE
POST

List all web analytics content autopilot profiles

Required API key scopes

web_analytics:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/projects/:project_id/web_analytics_content_autopilot_profiles
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_analytics_content_autopilot_profiles/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"domain": "http://example.com",
"source_urls": [
"http://example.com"
],
"content_boundaries": [
"string"
],
"brand_rules": [
"string"
],
"search_console_enabled": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create web analytics content autopilot profiles

Required API key scopes

web_analytics:write

Request parameters

  • name
    string
  • domain
    string
  • source_urls
    array
  • content_boundaries
    array
  • brand_rules
    array
  • search_console_enabled
    boolean

Response


Example request

POST /api/projects/:project_id/web_analytics_content_autopilot_profiles
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_analytics_content_autopilot_profiles/\
-d domain="string",\
-d source_urls="array",\
-d content_boundaries="array",\
-d brand_rules="array"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"domain": "http://example.com",
"source_urls": [
"http://example.com"
],
"content_boundaries": [
"string"
],
"brand_rules": [
"string"
],
"search_console_enabled": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve web analytics content autopilot profiles

Required API key scopes

web_analytics:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/web_analytics_content_autopilot_profiles/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_analytics_content_autopilot_profiles/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"domain": "http://example.com",
"source_urls": [
"http://example.com"
],
"content_boundaries": [
"string"
],
"brand_rules": [
"string"
],
"search_console_enabled": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Update web analytics content autopilot profiles

Required API key scopes

web_analytics:write

Path parameters

  • id
    string

Request parameters

  • name
    string
  • domain
    string
  • source_urls
    array
  • content_boundaries
    array
  • brand_rules
    array
  • search_console_enabled
    boolean

Response


Example request

PATCH /api/projects/:project_id/web_analytics_content_autopilot_profiles/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_analytics_content_autopilot_profiles/:id/\
-d name="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"domain": "http://example.com",
"source_urls": [
"http://example.com"
],
"content_boundaries": [
"string"
],
"brand_rules": [
"string"
],
"search_console_enabled": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Delete web analytics content autopilot profiles

Required API key scopes

web_analytics:write

Path parameters

  • id
    string

Example request

DELETE /api/projects/:project_id/web_analytics_content_autopilot_profiles/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_analytics_content_autopilot_profiles/:id/

Example response

Status 204 No response body

Create web analytics content autopilot profiles

Inspects a public site for its canonical origin, name, and sitemap URLs.

Required API key scopes

web_analytics:write

Request parameters

  • domain
    string

Response


Example request

POST /api/projects/:project_id/web_analytics_content_autopilot_profiles/discover
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_analytics_content_autopilot_profiles/discover/\
-d domain="string"

Example response

Status 200
RESPONSE
{
"name": "string",
"domain": "http://example.com",
"source_urls": [
"http://example.com"
],
"content_boundaries": [
"string"
],
"sitemap_detected": true,
"warnings": [
"string"
]
}